﻿using System.Windows;
using System.Windows.Controls;
using FarseerGames.FarseerPhysics.Collisions;
using FarseerGames.FarseerPhysics.Dynamics;
using FarseerGames.FarseerPhysics.Mathematics;
using Spritehand.FarseerHelper;

namespace Prefectures
{
    public partial class Page : UserControl
    {
        private Vector2 initialPosition;

        public Page()
        {
            InitializeComponent();
        }

        private void controller_Initialized(object source)
        {
            PhysicsSprite sprite = controller.PhysicsObjects["p01"];
            Geom geom = sprite.GeometryObject;
            geom.RestitutionCoefficient = 1.0f;
            Body body = sprite.BodyObject;
            initialPosition = body.Position;
        }

        private void resetButton_Click(object sender, RoutedEventArgs e)
        {
            PhysicsSprite sprite = controller.PhysicsObjects["p01"];
            Body body = sprite.BodyObject;
            body.ResetDynamics();
            body.Position = initialPosition;
        }
    }
}
